Bug 107618 - FILESAVE: Header lost after saving to DOCX
Summary: FILESAVE: Header lost after saving to DOCX
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.0.0 target:5.4.0.1 target:6.3.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2017-05-04 10:11 UTC by Xisco Faulí
Modified: 2018-12-22 04:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (64.00 KB, application/msword)
2017-05-04 10:14 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-05-04 10:11:52 UTC
Steps:
1. Open attached document
2. Save it as .docx
3. Open the new .docx document

Observed behaviour: header text is lost

Reproduced in


Version: 5.4.0.0.alpha1+
Build ID: f12096272e684ddcd8ffa4e34dcb0a680cc594c2
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-05-04 10:13:14 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-03-21 08:03:53 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-03-21 10:47:24 (GMT)
commit	b6e62dc0dc2b284c825f1182a67bb2f9259a30ce (patch)
tree	ae3742a6c8357db90a17efba6f930f1e84459c10
parent	63f7da77985674ddf59bb566bdada9c41893e822 (diff)
tdf#106492 DOCX export: fix duplicated section break at doc end
There is always a section break at the end of a DOCX document, so in the
rare case when there is no text node between the end of a Writer section
and the end of the document make sure no duplicated section break is
written.

Bisected with bibisect-linux-64-5.4

Adding Cc: to Miklos Vajna
Comment 2 Xisco Faulí 2017-05-04 10:14:09 UTC
Created attachment 133061 [details]
sample
Comment 3 Commit Notification 2017-06-13 09:31:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a73e7d88c19cab69733a4f6433d8576856285ac

tdf#107618 DOCX export: fix missing header when doc ends with section

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-06-14 07:07:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=378b97e8f071485ee1086b66f1ab94fedb8b8d49&h=libreoffice-5-4

tdf#107618 DOCX export: fix missing header when doc ends with section

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-08-01 23:16:08 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 50799a721c7ddcf9475a1b79984ed64ddd7cdf57
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 6 Commit Notification 2018-12-22 04:12:57 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b18e5fc324edb4a4ea20387fbdd3acc7c1e08309%5E%21

tdf#107618 revert fix missing header when doc ends with section

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Justin L 2018-12-22 04:15:37 UTC
> tdf#107618 revert fix missing header when doc ends with section
This fix is replaced by the fix for bug 121374, which was backported to LO 6.2.